GuidesAPI Reference
Log In
API Reference

Introduction

The Seel API is built on RESTful principles. It returns JSON encoded-responses, accepts JSON payloads, and has resource-oriented URLs. This data is only available through HTTPS to ensure the security of the transferred data.

Authentication

The Seel API uses API keys to authenticate requests. You can contact [email protected] to get your API key.

Your API keys carry many privileges, so be sure to keep them secured! Do not share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.

All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.

An authenticated request looks like this:

curl --location --request GET 'https://api-test.seel.com/v1/ecommerce/quotes/1234567890' \
--header 'X-Seel-Api-Key: c63f7a9250e1d849af523c071cdca3dc' \
--header 'X-Seel-Api-Version: 2.3.0'